# Generated by Django 2.0.1 on 2018-01-28 02:25

import django.db.models.deletion
from django.db import migrations, models

import app.validators


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0016_auto_20180128_0147'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='emitter',
            options={'verbose_name': 'émetteur', 'verbose_name_plural': 'émetteurs'},
        ),
        migrations.AlterModelOptions(
            name='line',
            options={'verbose_name': 'ligne', 'verbose_name_plural': 'lignes'},
        ),
        migrations.AlterModelOptions(
            name='prefix',
            options={'verbose_name': 'préfixe', 'verbose_name_plural': 'préfixes'},
        ),
        migrations.AlterModelOptions(
            name='vatrate',
            options={'verbose_name': 'taux de TVA', 'verbose_name_plural': 'taux de TVA'},
        ),
        migrations.AlterField(
            model_name='client',
            name='address',
            field=models.TextField(blank=True, verbose_name='adresse'),
        ),
        migrations.AlterField(
            model_name='client',
            name='city',
            field=models.CharField(max_length=100, verbose_name='ville'),
        ),
        migrations.AlterField(
            model_name='client',
            name='country',
            field=models.CharField(blank=True, max_length=100, verbose_name='pays'),
        ),
        migrations.AlterField(
            model_name='client',
            name='name',
            field=models.CharField(max_length=200, verbose_name='nom'),
        ),
        migrations.AlterField(
            model_name='client',
            name='zip_code',
            field=models.CharField(max_length=10, verbose_name='code postal'),
        ),
        migrations.AlterField(
            model_name='document',
            name='client',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Client', verbose_name='client'),
        ),
        migrations.AlterField(
            model_name='document',
            name='due_date',
            field=models.DateField(verbose_name="date d'échéance"),
        ),
        migrations.AlterField(
            model_name='document',
            name='emitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Emitter', verbose_name='émetteur'),
        ),
        migrations.AlterField(
            model_name='document',
            name='prefix',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='app.Prefix', verbose_name='préfixe'),
        ),
        migrations.AlterField(
            model_name='document',
            name='sequence_number',
            field=models.IntegerField(editable=False, verbose_name='numéro de séquence'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='address',
            field=models.TextField(verbose_name='adresse'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='bank',
            field=models.CharField(max_length=100, verbose_name='banque'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='bic',
            field=models.CharField(max_length=100, verbose_name='BIC/SWIFT'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='city',
            field=models.CharField(max_length=100, verbose_name='ville'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='country',
            field=models.CharField(blank=True, max_length=100, verbose_name='pays'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='fax',
            field=models.CharField(blank=True, max_length=20, verbose_name='fax'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='iban',
            field=models.CharField(max_length=50, validators=[app.validators.validate_iban], verbose_name='IBAN'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='name',
            field=models.CharField(max_length=300, verbose_name='nom'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='phone',
            field=models.CharField(blank=True, max_length=20, verbose_name='téléphone'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='siret',
            field=models.CharField(blank=True, max_length=20, verbose_name='SIRET'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='vat_number',
            field=models.CharField(blank=True, max_length=20, verbose_name='TVA intracommunautaire'),
        ),
        migrations.AlterField(
            model_name='emitter',
            name='zip_code',
            field=models.CharField(max_length=10, verbose_name='code postal'),
        ),
        migrations.AlterField(
            model_name='line',
            name='document',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lines', to='app.Document', verbose_name='document'),
        ),
        migrations.AlterField(
            model_name='line',
            name='including_vat_fixed',
            field=models.BooleanField(default=True, help_text='Sinon on considère le prix HT fixé', verbose_name='prix TTC fixé'),
        ),
        migrations.AlterField(
            model_name='line',
            name='label',
            field=models.CharField(max_length=500, verbose_name='libellé'),
        ),
        migrations.AlterField(
            model_name='line',
            name='quantity',
            field=models.DecimalField(decimal_places=3, default=1.0, help_text='Max : 999999999,999', max_digits=9, verbose_name='quantité'),
        ),
        migrations.AlterField(
            model_name='line',
            name='unit_price',
            field=models.DecimalField(decimal_places=3, default=0.0, help_text='Max : 999999999,999', max_digits=9, verbose_name='prix unitaire'),
        ),
        migrations.AlterField(
            model_name='line',
            name='vat_rate',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='lines', to='app.VatRate', verbose_name='taux de TVA'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='activated',
            field=models.BooleanField(default=True, verbose_name='actif'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='current_sequence_number',
            field=models.IntegerField(default=0, verbose_name='numéro de séquence courant'),
        ),
        migrations.AlterField(
            model_name='prefix',
            name='value',
            field=models.CharField(max_length=20, verbose_name='valeur'),
        ),
        migrations.AlterField(
            model_name='type',
            name='name',
            field=models.CharField(max_length=100, verbose_name='nom'),
        ),
        migrations.AlterField(
            model_name='vatrate',
            name='activated',
            field=models.BooleanField(default=True, verbose_name='actif'),
        ),
        migrations.AlterField(
            model_name='vatrate',
            name='name',
            field=models.CharField(max_length=50, verbose_name='nom'),
        ),
        migrations.AlterField(
            model_name='vatrate',
            name='rate',
            field=models.DecimalField(decimal_places=3, default=1.0, help_text='Max : 999999999,999', max_digits=9, verbose_name='taux'),
        ),
    ]
